Support » Plugin: AMP » Version 1.5 give a error TransformedIdentifier expected a value of type array

  • Resolved kishanunjia

    (@kishanunjia)


    we remove header footer & create a blank page but we face this error in version 1.5 before version 1.4.4 it’s working fine. Currently active child theme.

    Please Help me as soon as possible.

    The configuration value ‘metadata’ for the key ‘AmpProject\Optimizer\Transformer\TransformedIdentifier’ expected a value of type ‘array’, got ‘NULL’ instead. in /mnt/data/home/376484.cloudwaysapps.com/bjysdpgbhu/public_html/wp-content/plugins/amp/vendor/ampproject/optimizer/src/Exception/InvalidConfigurationValue.php:43

    • This topic was modified 1 year, 5 months ago by kishanunjia.
Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Contributor Alain Schlesser

    (@schlessera)

    @kishanunjia There seems to be an error with the new serverside rendering component of version 1.5.0.

    To help us debug, I would be grateful if you could send me the current contents of the transients in your wp_options table that start with _transient_amp_remote_request_. There should be 2 of them.

    As a quick work-around, you can disable serverside rendering by adding the following filter in a plugin or your theme:

    add_filter( 'amp_enable_ssr', __return_false );

    Plugin Contributor Alain Schlesser

    (@schlessera)

    @kishanunjia I suspect that this is caused by the use of the amp_post_template_metadata filter.

    Can you please check whether and how you are using this filter?

    Plugin Contributor Alain Schlesser

    (@schlessera)

    @kishanunjia Version 1.5.1 should fix your issue. Please update the plugin to that version and confirm whether the issue is fixed for you or not.

    In case you added the 'amp_enable_ssr ' filter I mentioned above, remember to remove it again to re-enable the serverside rendering optimization.

    Thank you!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Version 1.5 give a error TransformedIdentifier expected a value of type array’ is closed to new replies.